﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;

namespace XamGrid_sample.ViewModel
{
    public class Person : INotifyPropertyChanged
    {
        private string name;
        private int age;
        private ObservableCollection<BitmapImage> images;

        public Person(string name, int age, ObservableCollection<BitmapImage> images)
        {
            this.Name = name;
            this.Age = age;
            this.Images = images;
        }

        public string Name
        {
            get { return name; }
            set
            {
                name = value;
                NotifyPropertyChanged("Name");
            }
        }

        public int Age
        {
            get { return age; }
            set
            {
                if (value > 0)
                    age = value;
                NotifyPropertyChanged("Age");
            }
        }

        public ObservableCollection<BitmapImage> Images
        {
            get { return images; }
            set
            {
                images = value;
                NotifyPropertyChanged("Images");
            }
        }

        #region Notify Property Changed

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion // Notify Property Changed 

    }
}
