﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;

namespace XamGrid_sample.ViewModel
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Person> people;
        public ObservableCollection<Person> People
        {
            get { return people; }
            set
            {
                people = value;
                NotifyPropertyChanged("People");
            }
        }


        public ViewModel()
        {
            People = new ObservableCollection<Person>()
            {
                new Person("John", 33, new ObservableCollection<BitmapImage>()
                                            {
                                                new BitmapImage(new Uri("Images/bmwLogo.png",UriKind.Relative)),
                                                new BitmapImage(new Uri("Images/mercedesLogo.png",UriKind.Relative)),
                                                new BitmapImage(new Uri("Images/jaguarLogo.png",UriKind.Relative))
                                            }),
                new Person("Sarah", 29, new ObservableCollection<BitmapImage>()
                                            {
                                                new BitmapImage(new Uri("Images/mercedesLogo.png",UriKind.Relative)),
                                                new BitmapImage(new Uri("Images/mazdaLogo.png",UriKind.Relative))
                                            }),
                new Person("Bob", 45, new ObservableCollection<BitmapImage>()
                                            {
                                                new BitmapImage(new Uri("Images/nissanLogo.png",UriKind.Relative))
                                            })
            };
        }

        #region Notify Property Changed

        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion // Notify Property Changed 
    }
}
